get_io_device_paramGetIoDeviceParamGetIoDeviceParamget_io_device_paramT_get_io_device_param
Short description
get_io_device_paramGetIoDeviceParamGetIoDeviceParamget_io_device_paramT_get_io_device_param — Query settings of an I/O device instance.
Signature
get_io_device_param( io_device IODeviceHandle, attribute.name GenParamName, out attribute.value GenParamValue )void GetIoDeviceParam( const HTuple& IODeviceHandle, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetIoDeviceParam( HTuple IODeviceHandle, HTuple genParamName, out HTuple genParamValue )def get_io_device_param( iodevice_handle: HHandle, gen_param_name: MaybeSequence[str] ) -> Sequence[HTupleElementType]
def get_io_device_param_s( iodevice_handle: HHandle, gen_param_name: MaybeSequence[str] ) -> HTupleElementTypeHerror T_get_io_device_param( const Htuple IODeviceHandle, const Htuple GenParamName, Htuple* GenParamValue )
HTuple HIODevice::GetIoDeviceParam( const HTuple& GenParamName ) const
HTuple HIODevice::GetIoDeviceParam( const HString& GenParamName ) const
HTuple HIODevice::GetIoDeviceParam( const char* GenParamName ) const
HTuple HIODevice::GetIoDeviceParam( const wchar_t* GenParamName ) const (Windows only)
HTuple HIODevice.GetIoDeviceParam( HTuple genParamName )
HTuple HIODevice.GetIoDeviceParam( string genParamName )
Description
get_io_device_paramGetIoDeviceParam queries configuration settings of a
specific device instance. The query parameters are passed in
GenParamNamegenParamNamegen_param_name, the corresponding configuration values are
returned in GenParamValuegenParamValuegen_param_value. IODeviceHandleIODeviceHandleiodevice_handle specifies
the device returned in open_io_deviceOpenIoDevice.
Please check the directory doc/html/reference/io for
documentation about your specific I/O device interface, where all
supported device specific parameters are listed.
Execution information
-
Multithreading type: reentrant (runs in parallel with non-exclusive operators).
-
Multithreading scope: global (may be called from any thread).
-
Processed without parallelization.
Parameters
IODeviceHandleIODeviceHandleiodevice_handle (input_control) io_device → (handle)HTuple (HHandle)HIODevice, HTuple (IntPtr)HHandleHtuple (handle)
Handle of the opened I/O device.
GenParamNamegenParamNamegen_param_name (input_control) attribute.name(-array) → (string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)
Parameter names.
Default: 'param_name'"param_name"
Suggested values: 'io_device_name', 'param_name'"io_device_name", "param_name"
GenParamValuegenParamValuegen_param_value (output_control) attribute.value(-array) → (string / integer / real / handle)HTuple (HString / Hlong / double / HHandle)HTuple (string / int / long / double / HHandle)Sequence[HTupleElementType]Htuple (char* / Hlong / double / handle)
Parameter values.
Result
If the parameters are valid, the operator
get_io_device_paramGetIoDeviceParam returns the value 2 (H_MSG_TRUE). If necessary an
exception is raised. In this case, an extended error information may be
set and can be queried with the operator get_extended_error_infoGetExtendedErrorInfo.
Combinations with other operators
Combinations
Possible predecessors
open_io_deviceOpenIoDevice, set_io_device_paramSetIoDeviceParam
Possible successors
open_io_channelOpenIoChannel
See also
open_io_deviceOpenIoDevice, query_io_interfaceQueryIoInterface, set_io_device_paramSetIoDeviceParam
Module
Foundation